spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jonathan Haddad <...@jonhaddad.com>
Subject Re: exception with json4s render
Date Wed, 11 Feb 2015 19:31:01 GMT
Actually, yes, I was using 3.2.11.  I thought I would need the UUID encoder
that seems to have been added in that version, but I'm not using it.  I've
downgraded to 3.2.10 and it seems to work.

I searched through the spark repo and it looks like it's got 3.2.10 in a
pom.  I don't know the first thing about how dependencies are resolved but
I'm guessing it's related?

On Wed Feb 11 2015 at 11:20:42 AM Mohnish Kodnani <mohnish.kodnani@gmail.com>
wrote:

> I was getting similar error after I upgraded to spark 1.2.1 from 1.1.1
> Are you by any chance using json4s 3.2.11.
> I downgraded to 3.2.10 and that seemed to have worked. But I didnt try to
> spend much time debugging the issue than that.
>
>
>
> On Wed, Feb 11, 2015 at 11:13 AM, Jonathan Haddad <jon@jonhaddad.com>
> wrote:
>
>> I'm trying to use the json4s library in a spark job to push data back
>> into kafka.  Everything was working fine when I was hard coding a string,
>> but now that I'm trying to render a string from a simple map it's failing.
>> The code works in sbt console.
>>
>> working console code:
>> https://gist.github.com/rustyrazorblade/daa50bf05ff0d48ac6af
>>
>> failing spark job line:
>> https://github.com/rustyrazorblade/killranalytics/blob/master/spark/src/main/scala/RawEventProcessing.scala#L114
>>
>> exception: https://gist.github.com/rustyrazorblade/1e220d87d41cfcad2bb9
>>
>> I've seen examples of using render / compact when I searched the ML
>> archives, so I'm kind of at a loss here.
>>
>> Thanks in advance for any help.
>>
>> Jon
>>
>
>

Mime
View raw message